Skip to main content
POST
/
api2
/
v2
/
projects
/
{projectUid}
/
jobs
/
preTranslate
Pre-translate job
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/preTranslate \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "jobs": [
    {
      "uid": "3HYnHHLkTPJfMxBCDbPXFe"
    }
  ],
  "callbackUrl": "<string>",
  "preTranslateSettings": {
    "autoPropagateRepetitions": true,
    "confirmRepetitions": true,
    "machineTranslationSettings": {
      "confirm100PercentMatches": true,
      "lock100PercentMatches": true,
      "lockMtThreshold": 50,
      "mtSuggestOnlyTmBelow": true,
      "mtSuggestOnlyTmBelowThreshold": 0.505,
      "useAltTransOnly": true,
      "useMachineTranslation": true
    },
    "nonTranslatableSettings": {
      "confirm100PercentMatches": true,
      "lock100PercentMatches": true,
      "preTranslateNonTranslatables": true
    },
    "overwriteExistingTranslations": true,
    "setJobStatusCompleted": true,
    "setJobStatusCompletedWhenConfirmed": true,
    "setProjectStatusCompleted": true,
    "translationMemorySettings": {
      "confirm100PercentMatches": true,
      "confirm101PercentMatches": true,
      "lock100PercentMatches": true,
      "lock101PercentMatches": true,
      "translationMemoryThreshold": 0.505,
      "useTranslationMemory": true
    }
  },
  "segmentFilters": [],
  "useProjectPreTranslateSettings": true
}
'
import requests

url = "https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/preTranslate"

payload = {
"jobs": [{ "uid": "3HYnHHLkTPJfMxBCDbPXFe" }],
"callbackUrl": "<string>",
"preTranslateSettings": {
"autoPropagateRepetitions": True,
"confirmRepetitions": True,
"machineTranslationSettings": {
"confirm100PercentMatches": True,
"lock100PercentMatches": True,
"lockMtThreshold": 50,
"mtSuggestOnlyTmBelow": True,
"mtSuggestOnlyTmBelowThreshold": 0.505,
"useAltTransOnly": True,
"useMachineTranslation": True
},
"nonTranslatableSettings": {
"confirm100PercentMatches": True,
"lock100PercentMatches": True,
"preTranslateNonTranslatables": True
},
"overwriteExistingTranslations": True,
"setJobStatusCompleted": True,
"setJobStatusCompletedWhenConfirmed": True,
"setProjectStatusCompleted": True,
"translationMemorySettings": {
"confirm100PercentMatches": True,
"confirm101PercentMatches": True,
"lock100PercentMatches": True,
"lock101PercentMatches": True,
"translationMemoryThreshold": 0.505,
"useTranslationMemory": True
}
},
"segmentFilters": [],
"useProjectPreTranslateSettings": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
jobs: [{uid: '3HYnHHLkTPJfMxBCDbPXFe'}],
callbackUrl: '<string>',
preTranslateSettings: {
autoPropagateRepetitions: true,
confirmRepetitions: true,
machineTranslationSettings: {
confirm100PercentMatches: true,
lock100PercentMatches: true,
lockMtThreshold: 50,
mtSuggestOnlyTmBelow: true,
mtSuggestOnlyTmBelowThreshold: 0.505,
useAltTransOnly: true,
useMachineTranslation: true
},
nonTranslatableSettings: {
confirm100PercentMatches: true,
lock100PercentMatches: true,
preTranslateNonTranslatables: true
},
overwriteExistingTranslations: true,
setJobStatusCompleted: true,
setJobStatusCompletedWhenConfirmed: true,
setProjectStatusCompleted: true,
translationMemorySettings: {
confirm100PercentMatches: true,
confirm101PercentMatches: true,
lock100PercentMatches: true,
lock101PercentMatches: true,
translationMemoryThreshold: 0.505,
useTranslationMemory: true
}
},
segmentFilters: [],
useProjectPreTranslateSettings: true
})
};

fetch('https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/preTranslate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "asyncRequest": {
    "asyncResponse": {
      "dateCreated": "2023-11-07T05:31:56Z",
      "errorCode": "<string>",
      "errorDesc": "<string>",
      "errorDetails": [
        {
          "args": {},
          "code": "<string>",
          "message": "<string>"
        }
      ],
      "warnings": [
        {
          "args": {},
          "code": "<string>",
          "message": "<string>"
        }
      ]
    },
    "createdBy": {
      "email": "<string>",
      "firstName": "<string>",
      "id": "<string>",
      "lastName": "<string>",
      "uid": "<string>",
      "userName": "<string>"
    },
    "dateCreated": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "parent": "<unknown>",
    "project": {
      "name": "<string>",
      "uid": "<string>"
    }
  },
  "reference": {
    "type": "JOB",
    "uid": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Body

application/json
jobs
object[]
required

Jobs to be pre-translated

Required array length: 1 - 100 elements
callbackUrl
string
preTranslateSettings
object

Pre-translate settings

segmentFilters
enum<string>[]
Available options:
LOCKED,
NOT_LOCKED
useProjectPreTranslateSettings
boolean

If pre-translate settings from project should be used. If true, preTranslateSettings values are ignored. Default: false

Response

Accepted

asyncRequest
object
reference
object

Reference object that is being processed by async request